{ Parsed from Mapbox.framework MGLAttributionInfo.h }

{$ifdef TYPES}
type
  MGLAttributionInfoPtr = ^MGLAttributionInfo;
{$endif}

{$ifdef TYPES}
type
  MGLAttributionInfoStyle = NSUInteger;
  MGLAttributionInfoStylePtr = ^MGLAttributionInfoStyle;

const
  MGLAttributionInfoStyleShort = 1;
  MGLAttributionInfoStyleMedium = 2;
  MGLAttributionInfoStyleLong = 3;
{$endif}

{$ifdef CLASSES}

type
  MGLAttributionInfo = objcclass external (NSObject)
  public
    function initWithTitle_URL (title: NSAttributedString; URL: NSURL): instancetype; message 'initWithTitle:URL:';
    procedure setTitle(newValue: NSAttributedString); message 'setTitle:';
    function title: NSAttributedString; message 'title';
    procedure setURL(newValue: NSURL); message 'setURL:';
    function URL: NSURL; message 'URL';
    procedure setFeedbackLink(newValue: boolean); message 'setFeedbackLink:';
    function isFeedbackLink: boolean; message 'isFeedbackLink';
    function feedbackURLAtCenterCoordinate_zoomLevel (centerCoordinate: CLLocationCoordinate2D; zoomLevel: double): NSURL; message 'feedbackURLAtCenterCoordinate:zoomLevel:';
    function titleWithStyle (style: MGLAttributionInfoStyle): NSAttributedString; message 'titleWithStyle:';
  end;
{$endif}

