{ Parsed from Mapbox.framework MGLFillStyleLayer.h }

{ Types from MGLFillStyleLayer }
{$ifdef TYPES}



{$endif}


{$ifdef TYPES}
type
  MGLFillStyleLayerPtr = ^MGLFillStyleLayer;
{$endif}

{$ifdef TYPES}
type
  MGLFillTranslationAnchor = NSUInteger;
  MGLFillTranslationAnchorPtr = ^MGLFillTranslationAnchor;

const
  MGLFillTranslationAnchorMap = 0;
  MGLFillTranslationAnchorViewport = 1;
{$endif}

{$ifdef CLASSES}

type
  MGLFillStyleLayer = objcclass external (MGLVectorStyleLayer)
  public
    function initWithIdentifier_source (identifier_: NSString; source: MGLSource): instancetype; message 'initWithIdentifier:source:';
    procedure setFillAntialiased(newValue: MGLStyleValue); message 'setFillAntialiased:';
    function isFillAntialiased: MGLStyleValue; message 'isFillAntialiased';
    procedure setFillAntialias(newValue: MGLStyleValue); message 'setFillAntialias:';
    function fillAntialias: MGLStyleValue; message 'fillAntialias';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setFillColor(newValue: UIColor *ProtocolPtr); message 'setFillColor:';
    function fillColor: UIColor *ProtocolPtr; message 'fillColor';
    {$else}
    procedure setFillColor_(newValue: MGLStyleValue); message 'setFillColor:';
    function fillColor_: MGLStyleValue; message 'fillColor';
    {$endif}
    procedure setFillColorTransition(newValue: MGLTransition); message 'setFillColorTransition:';
    function fillColorTransition: MGLTransition; message 'fillColorTransition';
    procedure setFillOpacity(newValue: MGLStyleValue); message 'setFillOpacity:';
    function fillOpacity: MGLStyleValue; message 'fillOpacity';
    procedure setFillOpacityTransition(newValue: MGLTransition); message 'setFillOpacityTransition:';
    function fillOpacityTransition: MGLTransition; message 'fillOpacityTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setFillOutlineColor(newValue: UIColor *ProtocolPtr); message 'setFillOutlineColor:';
    function fillOutlineColor: UIColor *ProtocolPtr; message 'fillOutlineColor';
    {$else}
    procedure setFillOutlineColor_(newValue: MGLStyleValue); message 'setFillOutlineColor:';
    function fillOutlineColor_: MGLStyleValue; message 'fillOutlineColor';
    {$endif}
    procedure setFillOutlineColorTransition(newValue: MGLTransition); message 'setFillOutlineColorTransition:';
    function fillOutlineColorTransition: MGLTransition; message 'fillOutlineColorTransition';
    procedure setFillPattern(newValue: MGLStyleValue); message 'setFillPattern:';
    function fillPattern: MGLStyleValue; message 'fillPattern';
    procedure setFillPatternTransition(newValue: MGLTransition); message 'setFillPatternTransition:';
    function fillPatternTransition: MGLTransition; message 'fillPatternTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setFillTranslation(newValue: MGLStyleValue); message 'setFillTranslation:';
    function fillTranslation: MGLStyleValue; message 'fillTranslation';
    {$else}
    procedure setFillTranslation_(newValue: MGLStyleValue); message 'setFillTranslation:';
    function fillTranslation_: MGLStyleValue; message 'fillTranslation';
    {$endif}
    procedure setFillTranslationTransition(newValue: MGLTransition); message 'setFillTranslationTransition:';
    function fillTranslationTransition: MGLTransition; message 'fillTranslationTransition';
    procedure setFillTranslate(newValue: MGLStyleValue); message 'setFillTranslate:';
    function fillTranslate: MGLStyleValue; message 'fillTranslate';
    procedure setFillTranslationAnchor(newValue: MGLStyleValue); message 'setFillTranslationAnchor:';
    function fillTranslationAnchor: MGLStyleValue; message 'fillTranslationAnchor';
    procedure setFillTranslateAnchor(newValue: MGLStyleValue); message 'setFillTranslateAnchor:';
    function fillTranslateAnchor: MGLStyleValue; message 'fillTranslateAnchor';
  end;


type
  MGLFillStyleLayerAdditions = objccategory external (NSValue)
    class function valueWithMGLFillTranslationAnchor (fillTranslationAnchor: MGLFillTranslationAnchor): instancetype; message 'valueWithMGLFillTranslationAnchor:';
    function MGLFillTranslationAnchorValue: MGLFillTranslationAnchor; message 'MGLFillTranslationAnchorValue';
  end;
{$endif}

