{ Parsed from Mapbox.framework MGLMapSnapshotter.h }

{ Types from MGLMapSnapshot }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  MGLMapSnapshotOptionsPtr = ^MGLMapSnapshotOptions;
  MGLMapSnapshotPtr = ^MGLMapSnapshot;
  MGLMapSnapshotterPtr = ^MGLMapSnapshotter;
{$endif}

{$ifdef CLASSES}

type
  MGLMapSnapshotOptions = objcclass external (NSObject)
  public
    function initWithStyleURL_camera_size (styleURL: NSURL; camera: MGLMapCamera; size: CGSize): instancetype; message 'initWithStyleURL:camera:size:';
    function styleURL: NSURL; message 'styleURL';
    procedure setZoomLevel(newValue: double); message 'setZoomLevel:';
    function zoomLevel: double; message 'zoomLevel';
    procedure setCamera(newValue: MGLMapCamera); message 'setCamera:';
    function camera: MGLMapCamera; message 'camera';
    procedure setCoordinateBounds(newValue: MGLCoordinateBounds); message 'setCoordinateBounds:';
    function coordinateBounds: MGLCoordinateBounds; message 'coordinateBounds';
    function size: CGSize; message 'size';
    procedure setScale(newValue: CGFloat); message 'setScale:';
    function scale: CGFloat; message 'scale';
  end;

type
  MGLMapSnapshot = objcclass external (NSObject)
  public
    {$if defined(TARGET_OS_IPHONE)}
    function pointForCoordinate (coordinate: CLLocationCoordinate2D): CGPoint; message 'pointForCoordinate:';
    function image: UIImage; message 'image';
    {$else}
    function pointForCoordinate (coordinate: CLLocationCoordinate2D): NSPoint; message 'pointForCoordinate:';
    function image_: NSImage; message 'image';
    {$endif}
  end;
{$endif}

{$ifdef TYPES}
type
  MGLMapSnapshotCompletionHandler = OpaqueCBlock;
{$endif}

{$ifdef CLASSES}

type
  MGLMapSnapshotter = objcclass external (NSObject)
  public
    function initWithOptions (options: MGLMapSnapshotOptions): instancetype; message 'initWithOptions:';
    procedure startWithCompletionHandler (completionHandler: MGLMapSnapshotCompletionHandler); message 'startWithCompletionHandler:';
    procedure startWithQueue_completionHandler (queue: dispatch_queue_t; completionHandler: MGLMapSnapshotCompletionHandler); message 'startWithQueue:completionHandler:';
    procedure cancel; message 'cancel';
    procedure setOptions(newValue: MGLMapSnapshotOptions); message 'setOptions:';
    function options: MGLMapSnapshotOptions; message 'options';
    function isLoading: boolean; message 'isLoading';
  end;
{$endif}

