{ Parsed from Mapbox.framework MGLMapViewDelegate.h }

{$ifdef TYPES}
type
  MGLMapViewDelegateProtocolPtr = ^MGLMapViewDelegateProtocol;
{$endif}

{$ifdef PROTOCOLS}

type
  MGLMapViewDelegateProtocol = objcprotocol external name 'MGLMapViewDelegate' (NSObjectProtocol)
  optional
    procedure mapView_cameraWillChangeAnimated (mapView: MGLMapView; animated: boolean); message 'mapView:cameraWillChangeAnimated:';
    procedure mapViewCameraIsChanging (mapView: MGLMapView); message 'mapViewCameraIsChanging:';
    procedure mapView_cameraDidChangeAnimated (mapView: MGLMapView; animated: boolean); message 'mapView:cameraDidChangeAnimated:';
    function mapView_shouldChangeFromCamera_toCamera (mapView: MGLMapView; oldCamera: MGLMapCamera; newCamera: MGLMapCamera): boolean; message 'mapView:shouldChangeFromCamera:toCamera:';
    procedure mapViewWillStartLoadingMap (mapView: MGLMapView); message 'mapViewWillStartLoadingMap:';
    procedure mapViewDidFinishLoadingMap (mapView: MGLMapView); message 'mapViewDidFinishLoadingMap:';
    procedure mapViewDidFailLoadingMap_withError (mapView: MGLMapView; error: NSError); message 'mapViewDidFailLoadingMap:withError:';
    procedure mapViewWillStartRenderingMap (mapView: MGLMapView); message 'mapViewWillStartRenderingMap:';
    procedure mapViewDidFinishRenderingMap_fullyRendered (mapView: MGLMapView; fullyRendered: boolean); message 'mapViewDidFinishRenderingMap:fullyRendered:';
    procedure mapViewWillStartRenderingFrame (mapView: MGLMapView); message 'mapViewWillStartRenderingFrame:';
    procedure mapViewDidFinishRenderingFrame_fullyRendered (mapView: MGLMapView; fullyRendered: boolean); message 'mapViewDidFinishRenderingFrame:fullyRendered:';
    procedure mapView_didFinishLoadingStyle (mapView: MGLMapView; style: MGLStyle); message 'mapView:didFinishLoadingStyle:';
    function mapView_imageForAnnotation (mapView: MGLMapView; annotation: MGLAnnotationProtocol): MGLAnnotationImage; message 'mapView:imageForAnnotation:';
    function mapView_alphaForShapeAnnotation (mapView: MGLMapView; annotation: MGLShape): CGFloat; message 'mapView:alphaForShapeAnnotation:';
    function mapView_strokeColorForShapeAnnotation (mapView: MGLMapView; annotation: MGLShape): NSColor; message 'mapView:strokeColorForShapeAnnotation:';
    function mapView_fillColorForPolygonAnnotation (mapView: MGLMapView; annotation: MGLPolygon): NSColor; message 'mapView:fillColorForPolygonAnnotation:';
    function mapView_lineWidthForPolylineAnnotation (mapView: MGLMapView; annotation: MGLPolyline): CGFloat; message 'mapView:lineWidthForPolylineAnnotation:';
    procedure mapView_didSelectAnnotation (mapView: MGLMapView; annotation: MGLAnnotationProtocol); message 'mapView:didSelectAnnotation:';
    procedure mapView_didDeselectAnnotation (mapView: MGLMapView; annotation: MGLAnnotationProtocol); message 'mapView:didDeselectAnnotation:';
    function mapView_annotationCanShowCallout (mapView: MGLMapView; annotation: MGLAnnotationProtocol): boolean; message 'mapView:annotationCanShowCallout:';
    function mapView_calloutViewControllerForAnnotation (mapView: MGLMapView; annotation: MGLAnnotationProtocol): NSViewController; message 'mapView:calloutViewControllerForAnnotation:';
  end;
{$endif}

