{ Parsed from Mapbox.framework MGLPolygon.h }

{$ifdef TYPES}
type
  MGLPolygonPtr = ^MGLPolygon;
  MGLMultiPolygonPtr = ^MGLMultiPolygon;
{$endif}

{$ifdef CLASSES}

type
  MGLPolygon = objcclass external (MGLMultiPoint, MGLOverlayProtocol)
  public
    function interiorPolygons: NSArray; message 'interiorPolygons';
    class function polygonWithCoordinates_count (coords: CLLocationCoordinate2DPtr; count: NSUInteger): instancetype; message 'polygonWithCoordinates:count:';
    class function polygonWithCoordinates_count_interiorPolygons (coords: CLLocationCoordinate2DPtr; count: NSUInteger; interiorPolygons_: NSArray): instancetype; message 'polygonWithCoordinates:count:interiorPolygons:';

    { Adopted protocols }
    function intersectsOverlayBounds (overlayBounds_: MGLCoordinateBounds): boolean; message 'intersectsOverlayBounds:';
    function overlayBounds: MGLCoordinateBounds; message 'overlayBounds';
  end;

type
  MGLMultiPolygon = objcclass external (MGLShape, MGLOverlayProtocol)
  public
    function polygons: NSArray; message 'polygons';
    class function multiPolygonWithPolygons (polygons_: NSArray): instancetype; message 'multiPolygonWithPolygons:';

    { Adopted protocols }
    function intersectsOverlayBounds (overlayBounds_: MGLCoordinateBounds): boolean; message 'intersectsOverlayBounds:';
    function overlayBounds: MGLCoordinateBounds; message 'overlayBounds';
  end;
{$endif}

