{ Parsed from Mapbox.framework MGLPolyline.h }

{$ifdef TYPES}
type
  MGLPolylinePtr = ^MGLPolyline;
  MGLMultiPolylinePtr = ^MGLMultiPolyline;
{$endif}

{$ifdef CLASSES}

type
  MGLPolyline = objcclass external (MGLMultiPoint, MGLOverlayProtocol)
  public
    class function polylineWithCoordinates_count (coords: CLLocationCoordinate2DPtr; count: NSUInteger): instancetype; message 'polylineWithCoordinates:count:';

    { Adopted protocols }
    function intersectsOverlayBounds (overlayBounds_: MGLCoordinateBounds): boolean; message 'intersectsOverlayBounds:';
    function overlayBounds: MGLCoordinateBounds; message 'overlayBounds';
  end;

type
  MGLMultiPolyline = objcclass external (MGLShape, MGLOverlayProtocol)
  public
    function polylines: NSArray; message 'polylines';
    class function multiPolylineWithPolylines (polylines_: NSArray): instancetype; message 'multiPolylineWithPolylines:';

    { Adopted protocols }
    function intersectsOverlayBounds (overlayBounds_: MGLCoordinateBounds): boolean; message 'intersectsOverlayBounds:';
    function overlayBounds: MGLCoordinateBounds; message 'overlayBounds';
  end;
{$endif}

