{ Parsed from Mapbox.framework MGLShape.h }

{ Types from MGLShape }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  MGLShapePtr = ^MGLShape;
{$endif}

{$ifdef CLASSES}

type
  MGLShape = objcclass external (NSObject, MGLAnnotationProtocol, NSSecureCodingProtocol)
  public
    class function shapeWithData_encoding_error (data: NSData; encoding: NSStringEncoding; outError: NSErrorPtr): MGLShape; message 'shapeWithData:encoding:error:';
    procedure setTitle(newValue: NSString); message 'setTitle:';
    function title: NSString; message 'title';
    procedure setSubtitle(newValue: NSString); message 'setSubtitle:';
    function subtitle: NSString; message 'subtitle';
    {$if  not defined(TARGET_OS_IPHONE)}
    procedure setToolTip(newValue: NSString); message 'setToolTip:';
    function toolTip: NSString; message 'toolTip';
    {$endif}
    function geoJSONDataUsingEncoding (encoding: NSStringEncoding): NSData; message 'geoJSONDataUsingEncoding:';

    { Adopted protocols }
    function coordinate: CLLocationCoordinate2D; message 'coordinate';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): instancetype; message 'initWithCoder:';
    class function supportsSecureCoding: boolean; message 'supportsSecureCoding';
  end;
{$endif}

