{ Parsed from Mapbox.framework MGLShapeSource.h }

{$ifdef TYPES}
type
  MGLShapeSourcePtr = ^MGLShapeSource;
{$endif}

{$ifdef TYPES}
type
  MGLShapeSourceOption = ^NSString;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  MGLShapeSourceOptionClustered: MGLShapeSourceOption; cvar; external;
  MGLShapeSourceOptionClusterRadius: MGLShapeSourceOption; cvar; external;
  MGLShapeSourceOptionMaximumZoomLevelForClustering: MGLShapeSourceOption; cvar; external;
  MGLShapeSourceOptionMaximumZoomLevel: MGLShapeSourceOption; cvar; external;
  MGLShapeSourceOptionBuffer: MGLShapeSourceOption; cvar; external;
  MGLShapeSourceOptionSimplificationTolerance: MGLShapeSourceOption; cvar; external;
{$endif}

{$ifdef CLASSES}

type
  MGLShapeSource = objcclass external (MGLSource)
  public
    function initWithIdentifier_URL_options (identifier_: NSString; url: NSURL; options: NSDictionary): instancetype; message 'initWithIdentifier:URL:options:'; { NS_DESIGNATED_INITIALIZER }
    function initWithIdentifier_shape_options (identifier_: NSString; shape: MGLShape; options: NSDictionary): instancetype; message 'initWithIdentifier:shape:options:'; { NS_DESIGNATED_INITIALIZER }
    function initWithIdentifier_features_options (identifier_: NSString; features: NSArray; options: NSDictionary): instancetype; message 'initWithIdentifier:features:options:';
    function initWithIdentifier_shapes_options (identifier_: NSString; shapes: NSArray; options: NSDictionary): instancetype; message 'initWithIdentifier:shapes:options:';
    procedure setShape(newValue: MGLShape); message 'setShape:';
    function shape: MGLShape; message 'shape';
    procedure setURL(newValue: NSURL); message 'setURL:';
    function URL: NSURL; message 'URL';
    function featuresMatchingPredicate (predicate: NSPredicate): NSArray; message 'featuresMatchingPredicate:';
  end;
{$endif}

