{ Parsed from Mapbox.framework MGLTilePyramidOfflineRegion.h }

{$ifdef TYPES}
type
  MGLTilePyramidOfflineRegionPtr = ^MGLTilePyramidOfflineRegion;
{$endif}

{$ifdef CLASSES}

type
  MGLTilePyramidOfflineRegion = objcclass external (NSObject, MGLOfflineRegionProtocol, NSSecureCodingProtocol, NSCopyingProtocol)
  public
    function styleURL: NSURL; message 'styleURL';
    function bounds: MGLCoordinateBounds; message 'bounds';
    function minimumZoomLevel: double; message 'minimumZoomLevel';
    function maximumZoomLevel: double; message 'maximumZoomLevel';
    function init: instancetype; message 'init';
    function initWithStyleURL_bounds_fromZoomLevel_toZoomLevel (styleURL_: NSURL; bounds_: MGLCoordinateBounds; minimumZoomLevel_: double; maximumZoomLevel_: double): instancetype; message 'initWithStyleURL:bounds:fromZoomLevel:toZoomLevel:'; { NS_DESIGNATED_INITIALIZER }

    { Adopted protocols }
    function copyWithZone (zone: NSZonePtr): id; message 'copyWithZone:';
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): instancetype; message 'initWithCoder:';
    class function supportsSecureCoding: boolean; message 'supportsSecureCoding';
  end;
{$endif}

