{ Parsed from Mapbox.framework MGLTileSource.h }

{$ifdef TYPES}
type
  MGLTileSourcePtr = ^MGLTileSource;
{$endif}

{$ifdef TYPES}
type
  MGLTileSourceOption = ^NSString;
{$endif}

{$ifdef EXTERNAL_SYMBOLS}
var
  MGLTileSourceOptionMinimumZoomLevel: MGLTileSourceOption; cvar; external;
  MGLTileSourceOptionMaximumZoomLevel: MGLTileSourceOption; cvar; external;
{$endif}

{$if defined(TARGET_OS_IPHONE)}
{$ifdef EXTERNAL_SYMBOLS}
var
  MGLTileSourceOptionAttributionHTMLString: MGLTileSourceOption; cvar; external;
  MGLTileSourceOptionAttributionInfos: MGLTileSourceOption; cvar; external;
{$endif}

{$else}
{$ifdef EXTERNAL_SYMBOLS}
var
  MGLTileSourceOptionAttributionHTMLString: MGLTileSourceOption; cvar; external;
  MGLTileSourceOptionAttributionInfos: MGLTileSourceOption; cvar; external;
{$endif}

{$endif}
{$ifdef EXTERNAL_SYMBOLS}
var
  MGLTileSourceOptionTileCoordinateSystem: MGLTileSourceOption; cvar; external;
{$endif}

{$ifdef TYPES}
type
  MGLTileCoordinateSystem = NSUInteger;
  MGLTileCoordinateSystemPtr = ^MGLTileCoordinateSystem;

const
  MGLTileCoordinateSystemXYZ = 0;
  MGLTileCoordinateSystemTMS = 1;
{$endif}

{$ifdef CLASSES}

type
  MGLTileSource = objcclass external (MGLSource)
  public
    function configurationURL: NSURL; message 'configurationURL';
    function attributionInfos: NSArray; message 'attributionInfos';
  end;
{$endif}

