{ Parsed from Mapbox.framework MGLAnnotationImage.h }

{$ifdef TYPES}
type
  MGLAnnotationImagePtr = ^MGLAnnotationImage;
{$endif}

{$ifdef CLASSES}

type
  MGLAnnotationImage = objcclass external (NSObject, NSSecureCodingProtocol)
  public
    class function annotationImageWithImage_reuseIdentifier (image: NSImage; reuseIdentifier: NSString): instancetype; message 'annotationImageWithImage:reuseIdentifier:';
    function image: NSImage; message 'image';
    function reuseIdentifier: NSString; message 'reuseIdentifier';
    procedure setSelectable(newValue: boolean); message 'setSelectable:';
    function isSelectable: boolean; message 'isSelectable';
    procedure setCursor(newValue: NSCursor); message 'setCursor:';
    function cursor: NSCursor; message 'cursor';

    { Adopted protocols }
    procedure encodeWithCoder (aCoder: NSCoder); message 'encodeWithCoder:';
    function initWithCoder (aDecoder: NSCoder): instancetype; message 'initWithCoder:';
    class function supportsSecureCoding: boolean; message 'supportsSecureCoding';
  end;
{$endif}

