{ Parsed from Mapbox.framework MGLCircleStyleLayer.h }

{ Types from MGLCircleStyleLayer }
{$ifdef TYPES}



{$endif}


{$ifdef TYPES}
type
  MGLCircleStyleLayerPtr = ^MGLCircleStyleLayer;
{$endif}

{$ifdef TYPES}
type
  MGLCirclePitchAlignment = NSUInteger;
  MGLCirclePitchAlignmentPtr = ^MGLCirclePitchAlignment;

const
  MGLCirclePitchAlignmentMap = 0;
  MGLCirclePitchAlignmentViewport = 1;

type
  MGLCircleScaleAlignment = NSUInteger;
  MGLCircleScaleAlignmentPtr = ^MGLCircleScaleAlignment;

const
  MGLCircleScaleAlignmentMap = 0;
  MGLCircleScaleAlignmentViewport = 1;

type
  MGLCircleTranslationAnchor = NSUInteger;
  MGLCircleTranslationAnchorPtr = ^MGLCircleTranslationAnchor;

const
  MGLCircleTranslationAnchorMap = 0;
  MGLCircleTranslationAnchorViewport = 1;
{$endif}

{$ifdef CLASSES}

type
  MGLCircleStyleLayer = objcclass external (MGLVectorStyleLayer)
  public
    function initWithIdentifier_source (identifier_: NSString; source: MGLSource): instancetype; message 'initWithIdentifier:source:';
    procedure setCircleBlur(newValue: MGLStyleValue); message 'setCircleBlur:';
    function circleBlur: MGLStyleValue; message 'circleBlur';
    procedure setCircleBlurTransition(newValue: MGLTransition); message 'setCircleBlurTransition:';
    function circleBlurTransition: MGLTransition; message 'circleBlurTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setCircleColor(newValue: UIColor *ProtocolPtr); message 'setCircleColor:';
    function circleColor: UIColor *ProtocolPtr; message 'circleColor';
    {$else}
    procedure setCircleColor_(newValue: MGLStyleValue); message 'setCircleColor:';
    function circleColor_: MGLStyleValue; message 'circleColor';
    {$endif}
    procedure setCircleColorTransition(newValue: MGLTransition); message 'setCircleColorTransition:';
    function circleColorTransition: MGLTransition; message 'circleColorTransition';
    procedure setCircleOpacity(newValue: MGLStyleValue); message 'setCircleOpacity:';
    function circleOpacity: MGLStyleValue; message 'circleOpacity';
    procedure setCircleOpacityTransition(newValue: MGLTransition); message 'setCircleOpacityTransition:';
    function circleOpacityTransition: MGLTransition; message 'circleOpacityTransition';
    procedure setCirclePitchAlignment(newValue: MGLStyleValue); message 'setCirclePitchAlignment:';
    function circlePitchAlignment: MGLStyleValue; message 'circlePitchAlignment';
    procedure setCircleRadius(newValue: MGLStyleValue); message 'setCircleRadius:';
    function circleRadius: MGLStyleValue; message 'circleRadius';
    procedure setCircleRadiusTransition(newValue: MGLTransition); message 'setCircleRadiusTransition:';
    function circleRadiusTransition: MGLTransition; message 'circleRadiusTransition';
    procedure setCircleScaleAlignment(newValue: MGLStyleValue); message 'setCircleScaleAlignment:';
    function circleScaleAlignment: MGLStyleValue; message 'circleScaleAlignment';
    procedure setCirclePitchScale(newValue: MGLStyleValue); message 'setCirclePitchScale:';
    function circlePitchScale: MGLStyleValue; message 'circlePitchScale';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setCircleStrokeColor(newValue: UIColor *ProtocolPtr); message 'setCircleStrokeColor:';
    function circleStrokeColor: UIColor *ProtocolPtr; message 'circleStrokeColor';
    {$else}
    procedure setCircleStrokeColor_(newValue: MGLStyleValue); message 'setCircleStrokeColor:';
    function circleStrokeColor_: MGLStyleValue; message 'circleStrokeColor';
    {$endif}
    procedure setCircleStrokeColorTransition(newValue: MGLTransition); message 'setCircleStrokeColorTransition:';
    function circleStrokeColorTransition: MGLTransition; message 'circleStrokeColorTransition';
    procedure setCircleStrokeOpacity(newValue: MGLStyleValue); message 'setCircleStrokeOpacity:';
    function circleStrokeOpacity: MGLStyleValue; message 'circleStrokeOpacity';
    procedure setCircleStrokeOpacityTransition(newValue: MGLTransition); message 'setCircleStrokeOpacityTransition:';
    function circleStrokeOpacityTransition: MGLTransition; message 'circleStrokeOpacityTransition';
    procedure setCircleStrokeWidth(newValue: MGLStyleValue); message 'setCircleStrokeWidth:';
    function circleStrokeWidth: MGLStyleValue; message 'circleStrokeWidth';
    procedure setCircleStrokeWidthTransition(newValue: MGLTransition); message 'setCircleStrokeWidthTransition:';
    function circleStrokeWidthTransition: MGLTransition; message 'circleStrokeWidthTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setCircleTranslation(newValue: MGLStyleValue); message 'setCircleTranslation:';
    function circleTranslation: MGLStyleValue; message 'circleTranslation';
    {$else}
    procedure setCircleTranslation_(newValue: MGLStyleValue); message 'setCircleTranslation:';
    function circleTranslation_: MGLStyleValue; message 'circleTranslation';
    {$endif}
    procedure setCircleTranslationTransition(newValue: MGLTransition); message 'setCircleTranslationTransition:';
    function circleTranslationTransition: MGLTransition; message 'circleTranslationTransition';
    procedure setCircleTranslate(newValue: MGLStyleValue); message 'setCircleTranslate:';
    function circleTranslate: MGLStyleValue; message 'circleTranslate';
    procedure setCircleTranslationAnchor(newValue: MGLStyleValue); message 'setCircleTranslationAnchor:';
    function circleTranslationAnchor: MGLStyleValue; message 'circleTranslationAnchor';
    procedure setCircleTranslateAnchor(newValue: MGLStyleValue); message 'setCircleTranslateAnchor:';
    function circleTranslateAnchor: MGLStyleValue; message 'circleTranslateAnchor';
  end;


type
  MGLCircleStyleLayerAdditions = objccategory external (NSValue)
    class function valueWithMGLCirclePitchAlignment (circlePitchAlignment: MGLCirclePitchAlignment): instancetype; message 'valueWithMGLCirclePitchAlignment:';
    function MGLCirclePitchAlignmentValue: MGLCirclePitchAlignment; message 'MGLCirclePitchAlignmentValue';
    class function valueWithMGLCircleScaleAlignment (circleScaleAlignment: MGLCircleScaleAlignment): instancetype; message 'valueWithMGLCircleScaleAlignment:';
    function MGLCircleScaleAlignmentValue: MGLCircleScaleAlignment; message 'MGLCircleScaleAlignmentValue';
    class function valueWithMGLCircleTranslationAnchor (circleTranslationAnchor: MGLCircleTranslationAnchor): instancetype; message 'valueWithMGLCircleTranslationAnchor:';
    function MGLCircleTranslationAnchorValue: MGLCircleTranslationAnchor; message 'MGLCircleTranslationAnchorValue';
  end;
{$endif}

