{ Parsed from Mapbox.framework MGLFillExtrusionStyleLayer.h }

{ Types from MGLFillExtrusionStyleLayer }
{$ifdef TYPES}


{$endif}


{$ifdef TYPES}
type
  MGLFillExtrusionStyleLayerPtr = ^MGLFillExtrusionStyleLayer;
{$endif}

{$ifdef TYPES}
type
  MGLFillExtrusionTranslationAnchor = NSUInteger;
  MGLFillExtrusionTranslationAnchorPtr = ^MGLFillExtrusionTranslationAnchor;

const
  MGLFillExtrusionTranslationAnchorMap = 0;
  MGLFillExtrusionTranslationAnchorViewport = 1;
{$endif}

{$ifdef CLASSES}

type
  MGLFillExtrusionStyleLayer = objcclass external (MGLVectorStyleLayer)
  public
    function initWithIdentifier_source (identifier_: NSString; source: MGLSource): instancetype; message 'initWithIdentifier:source:';
    procedure setFillExtrusionBase(newValue: MGLStyleValue); message 'setFillExtrusionBase:';
    function fillExtrusionBase: MGLStyleValue; message 'fillExtrusionBase';
    procedure setFillExtrusionBaseTransition(newValue: MGLTransition); message 'setFillExtrusionBaseTransition:';
    function fillExtrusionBaseTransition: MGLTransition; message 'fillExtrusionBaseTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setFillExtrusionColor(newValue: UIColor *ProtocolPtr); message 'setFillExtrusionColor:';
    function fillExtrusionColor: UIColor *ProtocolPtr; message 'fillExtrusionColor';
    {$else}
    procedure setFillExtrusionColor_(newValue: MGLStyleValue); message 'setFillExtrusionColor:';
    function fillExtrusionColor_: MGLStyleValue; message 'fillExtrusionColor';
    {$endif}
    procedure setFillExtrusionColorTransition(newValue: MGLTransition); message 'setFillExtrusionColorTransition:';
    function fillExtrusionColorTransition: MGLTransition; message 'fillExtrusionColorTransition';
    procedure setFillExtrusionHeight(newValue: MGLStyleValue); message 'setFillExtrusionHeight:';
    function fillExtrusionHeight: MGLStyleValue; message 'fillExtrusionHeight';
    procedure setFillExtrusionHeightTransition(newValue: MGLTransition); message 'setFillExtrusionHeightTransition:';
    function fillExtrusionHeightTransition: MGLTransition; message 'fillExtrusionHeightTransition';
    procedure setFillExtrusionOpacity(newValue: MGLStyleValue); message 'setFillExtrusionOpacity:';
    function fillExtrusionOpacity: MGLStyleValue; message 'fillExtrusionOpacity';
    procedure setFillExtrusionOpacityTransition(newValue: MGLTransition); message 'setFillExtrusionOpacityTransition:';
    function fillExtrusionOpacityTransition: MGLTransition; message 'fillExtrusionOpacityTransition';
    procedure setFillExtrusionPattern(newValue: MGLStyleValue); message 'setFillExtrusionPattern:';
    function fillExtrusionPattern: MGLStyleValue; message 'fillExtrusionPattern';
    procedure setFillExtrusionPatternTransition(newValue: MGLTransition); message 'setFillExtrusionPatternTransition:';
    function fillExtrusionPatternTransition: MGLTransition; message 'fillExtrusionPatternTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setFillExtrusionTranslation(newValue: MGLStyleValue); message 'setFillExtrusionTranslation:';
    function fillExtrusionTranslation: MGLStyleValue; message 'fillExtrusionTranslation';
    {$else}
    procedure setFillExtrusionTranslation_(newValue: MGLStyleValue); message 'setFillExtrusionTranslation:';
    function fillExtrusionTranslation_: MGLStyleValue; message 'fillExtrusionTranslation';
    {$endif}
    procedure setFillExtrusionTranslationTransition(newValue: MGLTransition); message 'setFillExtrusionTranslationTransition:';
    function fillExtrusionTranslationTransition: MGLTransition; message 'fillExtrusionTranslationTransition';
    procedure setFillExtrusionTranslate(newValue: MGLStyleValue); message 'setFillExtrusionTranslate:';
    function fillExtrusionTranslate: MGLStyleValue; message 'fillExtrusionTranslate';
    procedure setFillExtrusionTranslationAnchor(newValue: MGLStyleValue); message 'setFillExtrusionTranslationAnchor:';
    function fillExtrusionTranslationAnchor: MGLStyleValue; message 'fillExtrusionTranslationAnchor';
    procedure setFillExtrusionTranslateAnchor(newValue: MGLStyleValue); message 'setFillExtrusionTranslateAnchor:';
    function fillExtrusionTranslateAnchor: MGLStyleValue; message 'fillExtrusionTranslateAnchor';
  end;


type
  MGLFillExtrusionStyleLayerAdditions = objccategory external (NSValue)
    class function valueWithMGLFillExtrusionTranslationAnchor (fillExtrusionTranslationAnchor: MGLFillExtrusionTranslationAnchor): instancetype; message 'valueWithMGLFillExtrusionTranslationAnchor:';
    function MGLFillExtrusionTranslationAnchorValue: MGLFillExtrusionTranslationAnchor; message 'MGLFillExtrusionTranslationAnchorValue';
  end;
{$endif}

