{ Parsed from Mapbox.framework MGLLight.h }

{ Types from MGLLight }
{$ifdef TYPES}

{$endif}


{$ifdef TYPES}
type
  MGLLightPtr = ^MGLLight;
{$endif}

{$ifdef TYPES}
type
  MGLLightAnchor = NSUInteger;
  MGLLightAnchorPtr = ^MGLLightAnchor;

const
  MGLLightAnchorMap = 0;
  MGLLightAnchorViewport = 1;

type
  MGLSphericalPosition = record
    radial: CGFloat;
    azimuthal: CLLocationDirection;
    polar: CLLocationDirection;
  end;
type
  MGLSphericalPositionPtr = ^MGLSphericalPosition;
{$endif}

{$ifdef CLASSES}

type
  MGLLight = objcclass external (NSObject)
  public
    procedure setAnchor(newValue: MGLStyleValue); message 'setAnchor:';
    function anchor: MGLStyleValue; message 'anchor';
    procedure setPosition(newValue: MGLStyleValue); message 'setPosition:';
    function position: MGLStyleValue; message 'position';
    procedure setPositionTransition(newValue: MGLTransition); message 'setPositionTransition:';
    function positionTransition: MGLTransition; message 'positionTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setColor(newValue: UIColor *ProtocolPtr); message 'setColor:';
    function color: UIColor *ProtocolPtr; message 'color';
    {$else}
    procedure setColor_(newValue: MGLStyleValue); message 'setColor:';
    function color_: MGLStyleValue; message 'color';
    {$endif}
    procedure setColorTransition(newValue: MGLTransition); message 'setColorTransition:';
    function colorTransition: MGLTransition; message 'colorTransition';
    procedure setIntensity(newValue: MGLStyleValue); message 'setIntensity:';
    function intensity: MGLStyleValue; message 'intensity';
    procedure setIntensityTransition(newValue: MGLTransition); message 'setIntensityTransition:';
    function intensityTransition: MGLTransition; message 'intensityTransition';
  end;
{$endif}

