{ Parsed from Mapbox.framework MGLMultiPoint.h }

{$ifdef TYPES}
type
  MGLMultiPointPtr = ^MGLMultiPoint;
{$endif}

{$ifdef CLASSES}

type
  MGLMultiPoint = objcclass external (MGLShape)
  public
    function coordinates: CLLocationCoordinate2DPtr; message 'coordinates';
    function pointCount: NSUInteger; message 'pointCount';
    procedure getCoordinates_range (coords: CLLocationCoordinate2DPtr; range: NSRange); message 'getCoordinates:range:';
    procedure setCoordinates_count (coords: CLLocationCoordinate2DPtr; count: NSUInteger); message 'setCoordinates:count:';
    procedure insertCoordinates_count_atIndex (coords: CLLocationCoordinate2DPtr; count: NSUInteger; index: NSUInteger); message 'insertCoordinates:count:atIndex:';
    procedure appendCoordinates_count (coords: CLLocationCoordinate2DPtr; count: NSUInteger); message 'appendCoordinates:count:';
    procedure replaceCoordinatesInRange_withCoordinates (range: NSRange; coords: CLLocationCoordinate2DPtr); message 'replaceCoordinatesInRange:withCoordinates:';
    procedure replaceCoordinatesInRange_withCoordinates_count (range: NSRange; coords: CLLocationCoordinate2DPtr; count: NSUInteger); message 'replaceCoordinatesInRange:withCoordinates:count:';
    procedure removeCoordinatesInRange (range: NSRange); message 'removeCoordinatesInRange:';
  end;
{$endif}

