{ Parsed from Mapbox.framework MGLOfflinePack.h }

{$ifdef TYPES}
type
  MGLOfflinePackPtr = ^MGLOfflinePack;
{$endif}

{$ifdef TYPES}
type
  MGLOfflinePackState = NSInteger;
  MGLOfflinePackStatePtr = ^MGLOfflinePackState;

const
  MGLOfflinePackStateUnknown = 0;
  MGLOfflinePackStateInactive = 1;
  MGLOfflinePackStateActive = 2;
  MGLOfflinePackStateComplete = 3;
  MGLOfflinePackStateInvalid = 4;

type
  MGLOfflinePackProgress = record
    countOfResourcesCompleted: cuint64;
    countOfBytesCompleted: cuint64;
    countOfTilesCompleted: cuint64;
    countOfTileBytesCompleted: cuint64;
    countOfResourcesExpected: cuint64;
    maximumResourcesExpected: cuint64;
  end;
type
  MGLOfflinePackProgressPtr = ^MGLOfflinePackProgress;
{$endif}

{$ifdef CLASSES}

type
  MGLOfflinePack = objcclass external (NSObject)
  public
    function region: MGLOfflineRegionProtocol; message 'region';
    function context: NSData; message 'context';
    function state: MGLOfflinePackState; message 'state';
    function progress: MGLOfflinePackProgress; message 'progress';
    procedure resume; message 'resume';
    procedure suspend; message 'suspend';
    procedure requestProgress; message 'requestProgress';
  end;
{$endif}

