{ Parsed from Mapbox.framework MGLOpenGLStyleLayer.h }

{$ifdef TYPES}
type
  MGLOpenGLStyleLayerPtr = ^MGLOpenGLStyleLayer;
{$endif}

{$ifdef TYPES}
type
  MGLStyleLayerDrawingContext = record
    size: CGSize;
    centerCoordinate: CLLocationCoordinate2D;
    zoomLevel: double;
    direction: CLLocationDirection;
    pitch: CGFloat;
    fieldOfView: CGFloat;
  end;
type
  MGLStyleLayerDrawingContextPtr = ^MGLStyleLayerDrawingContext;
{$endif}

{$ifdef CLASSES}

type
  MGLOpenGLStyleLayer = objcclass external (MGLStyleLayer)
  public
    function style: MGLStyle; message 'style';
    function initWithIdentifier (identifier_: NSString): instancetype; message 'initWithIdentifier:';
    procedure didMoveToMapView (mapView: MGLMapView); message 'didMoveToMapView:';
    procedure willMoveFromMapView (mapView: MGLMapView); message 'willMoveFromMapView:';
    procedure drawInMapView_withContext (mapView: MGLMapView; context: MGLStyleLayerDrawingContext); message 'drawInMapView:withContext:';
    procedure setNeedsDisplay; message 'setNeedsDisplay';
  end;
{$endif}

