{ Parsed from Mapbox.framework MGLPointCollection.h }

{$ifdef TYPES}
type
  MGLPointCollectionPtr = ^MGLPointCollection;
{$endif}

{$ifdef CLASSES}

type
  MGLPointCollection = objcclass external (MGLShape, MGLOverlayProtocol)
  public
    class function pointCollectionWithCoordinates_count (coords: CLLocationCoordinate2DPtr; count: NSUInteger): instancetype; message 'pointCollectionWithCoordinates:count:';
    function coordinates: CLLocationCoordinate2DPtr; message 'coordinates';
    function pointCount: NSUInteger; message 'pointCount';
    procedure getCoordinates_range (coords: CLLocationCoordinate2DPtr; range: NSRange); message 'getCoordinates:range:';

    { Adopted protocols }
    function intersectsOverlayBounds (overlayBounds_: MGLCoordinateBounds): boolean; message 'intersectsOverlayBounds:';
    function overlayBounds: MGLCoordinateBounds; message 'overlayBounds';
  end;
{$endif}

