{ Parsed from Mapbox.framework MGLRasterStyleLayer.h }

{$ifdef TYPES}
type
  MGLRasterStyleLayerPtr = ^MGLRasterStyleLayer;
{$endif}

{$ifdef CLASSES}

type
  MGLRasterStyleLayer = objcclass external (MGLForegroundStyleLayer)
  public
    function initWithIdentifier_source (identifier_: NSString; source: MGLSource): instancetype; message 'initWithIdentifier:source:';
    procedure setMaximumRasterBrightness(newValue: MGLStyleValue); message 'setMaximumRasterBrightness:';
    function maximumRasterBrightness: MGLStyleValue; message 'maximumRasterBrightness';
    procedure setMaximumRasterBrightnessTransition(newValue: MGLTransition); message 'setMaximumRasterBrightnessTransition:';
    function maximumRasterBrightnessTransition: MGLTransition; message 'maximumRasterBrightnessTransition';
    procedure setRasterBrightnessMax(newValue: MGLStyleValue); message 'setRasterBrightnessMax:';
    function rasterBrightnessMax: MGLStyleValue; message 'rasterBrightnessMax';
    procedure setMinimumRasterBrightness(newValue: MGLStyleValue); message 'setMinimumRasterBrightness:';
    function minimumRasterBrightness: MGLStyleValue; message 'minimumRasterBrightness';
    procedure setMinimumRasterBrightnessTransition(newValue: MGLTransition); message 'setMinimumRasterBrightnessTransition:';
    function minimumRasterBrightnessTransition: MGLTransition; message 'minimumRasterBrightnessTransition';
    procedure setRasterBrightnessMin(newValue: MGLStyleValue); message 'setRasterBrightnessMin:';
    function rasterBrightnessMin: MGLStyleValue; message 'rasterBrightnessMin';
    procedure setRasterContrast(newValue: MGLStyleValue); message 'setRasterContrast:';
    function rasterContrast: MGLStyleValue; message 'rasterContrast';
    procedure setRasterContrastTransition(newValue: MGLTransition); message 'setRasterContrastTransition:';
    function rasterContrastTransition: MGLTransition; message 'rasterContrastTransition';
    procedure setRasterFadeDuration(newValue: MGLStyleValue); message 'setRasterFadeDuration:';
    function rasterFadeDuration: MGLStyleValue; message 'rasterFadeDuration';
    procedure setRasterFadeDurationTransition(newValue: MGLTransition); message 'setRasterFadeDurationTransition:';
    function rasterFadeDurationTransition: MGLTransition; message 'rasterFadeDurationTransition';
    procedure setRasterHueRotation(newValue: MGLStyleValue); message 'setRasterHueRotation:';
    function rasterHueRotation: MGLStyleValue; message 'rasterHueRotation';
    procedure setRasterHueRotationTransition(newValue: MGLTransition); message 'setRasterHueRotationTransition:';
    function rasterHueRotationTransition: MGLTransition; message 'rasterHueRotationTransition';
    procedure setRasterHueRotate(newValue: MGLStyleValue); message 'setRasterHueRotate:';
    function rasterHueRotate: MGLStyleValue; message 'rasterHueRotate';
    procedure setRasterOpacity(newValue: MGLStyleValue); message 'setRasterOpacity:';
    function rasterOpacity: MGLStyleValue; message 'rasterOpacity';
    procedure setRasterOpacityTransition(newValue: MGLTransition); message 'setRasterOpacityTransition:';
    function rasterOpacityTransition: MGLTransition; message 'rasterOpacityTransition';
    procedure setRasterSaturation(newValue: MGLStyleValue); message 'setRasterSaturation:';
    function rasterSaturation: MGLStyleValue; message 'rasterSaturation';
    procedure setRasterSaturationTransition(newValue: MGLTransition); message 'setRasterSaturationTransition:';
    function rasterSaturationTransition: MGLTransition; message 'rasterSaturationTransition';
  end;
{$endif}

