{ Parsed from Mapbox.framework MGLSymbolStyleLayer.h }

{ Types from MGLSymbolStyleLayer }
{$ifdef TYPES}









{$endif}


{$ifdef TYPES}
type
  MGLSymbolStyleLayerPtr = ^MGLSymbolStyleLayer;
{$endif}

{$ifdef TYPES}
type
  MGLIconAnchor = NSUInteger;
  MGLIconAnchorPtr = ^MGLIconAnchor;

const
  MGLIconAnchorCenter = 0;
  MGLIconAnchorLeft = 1;
  MGLIconAnchorRight = 2;
  MGLIconAnchorTop = 3;
  MGLIconAnchorBottom = 4;
  MGLIconAnchorTopLeft = 5;
  MGLIconAnchorTopRight = 6;
  MGLIconAnchorBottomLeft = 7;
  MGLIconAnchorBottomRight = 8;

type
  MGLIconPitchAlignment = NSUInteger;
  MGLIconPitchAlignmentPtr = ^MGLIconPitchAlignment;

const
  MGLIconPitchAlignmentMap = 0;
  MGLIconPitchAlignmentViewport = 1;
  MGLIconPitchAlignmentAuto = 2;

type
  MGLIconRotationAlignment = NSUInteger;
  MGLIconRotationAlignmentPtr = ^MGLIconRotationAlignment;

const
  MGLIconRotationAlignmentMap = 0;
  MGLIconRotationAlignmentViewport = 1;
  MGLIconRotationAlignmentAuto = 2;

type
  MGLIconTextFit = NSUInteger;
  MGLIconTextFitPtr = ^MGLIconTextFit;

const
  MGLIconTextFitNone = 0;
  MGLIconTextFitWidth = 1;
  MGLIconTextFitHeight = 2;
  MGLIconTextFitBoth = 3;

type
  MGLSymbolPlacement = NSUInteger;
  MGLSymbolPlacementPtr = ^MGLSymbolPlacement;

const
  MGLSymbolPlacementPoint = 0;
  MGLSymbolPlacementLine = 1;

type
  MGLTextAnchor = NSUInteger;
  MGLTextAnchorPtr = ^MGLTextAnchor;

const
  MGLTextAnchorCenter = 0;
  MGLTextAnchorLeft = 1;
  MGLTextAnchorRight = 2;
  MGLTextAnchorTop = 3;
  MGLTextAnchorBottom = 4;
  MGLTextAnchorTopLeft = 5;
  MGLTextAnchorTopRight = 6;
  MGLTextAnchorBottomLeft = 7;
  MGLTextAnchorBottomRight = 8;

type
  MGLTextJustification = NSUInteger;
  MGLTextJustificationPtr = ^MGLTextJustification;

const
  MGLTextJustificationLeft = 0;
  MGLTextJustificationCenter = 1;
  MGLTextJustificationRight = 2;

type
  MGLTextPitchAlignment = NSUInteger;
  MGLTextPitchAlignmentPtr = ^MGLTextPitchAlignment;

const
  MGLTextPitchAlignmentMap = 0;
  MGLTextPitchAlignmentViewport = 1;
  MGLTextPitchAlignmentAuto = 2;

type
  MGLTextRotationAlignment = NSUInteger;
  MGLTextRotationAlignmentPtr = ^MGLTextRotationAlignment;

const
  MGLTextRotationAlignmentMap = 0;
  MGLTextRotationAlignmentViewport = 1;
  MGLTextRotationAlignmentAuto = 2;

type
  MGLTextTransform = NSUInteger;
  MGLTextTransformPtr = ^MGLTextTransform;

const
  MGLTextTransformNone = 0;
  MGLTextTransformUppercase = 1;
  MGLTextTransformLowercase = 2;

type
  MGLIconTranslationAnchor = NSUInteger;
  MGLIconTranslationAnchorPtr = ^MGLIconTranslationAnchor;

const
  MGLIconTranslationAnchorMap = 0;
  MGLIconTranslationAnchorViewport = 1;

type
  MGLTextTranslationAnchor = NSUInteger;
  MGLTextTranslationAnchorPtr = ^MGLTextTranslationAnchor;

const
  MGLTextTranslationAnchorMap = 0;
  MGLTextTranslationAnchorViewport = 1;
{$endif}

{$ifdef CLASSES}

type
  MGLSymbolStyleLayer = objcclass external (MGLVectorStyleLayer)
  public
    function initWithIdentifier_source (identifier_: NSString; source: MGLSource): instancetype; message 'initWithIdentifier:source:';
    procedure setIconAllowsOverlap(newValue: MGLStyleValue); message 'setIconAllowsOverlap:';
    function iconAllowsOverlap: MGLStyleValue; message 'iconAllowsOverlap';
    procedure setIconAllowOverlap(newValue: MGLStyleValue); message 'setIconAllowOverlap:';
    function iconAllowOverlap: MGLStyleValue; message 'iconAllowOverlap';
    procedure setIconAnchor(newValue: MGLStyleValue); message 'setIconAnchor:';
    function iconAnchor: MGLStyleValue; message 'iconAnchor';
    procedure setIconIgnoresPlacement(newValue: MGLStyleValue); message 'setIconIgnoresPlacement:';
    function iconIgnoresPlacement: MGLStyleValue; message 'iconIgnoresPlacement';
    procedure setIconIgnorePlacement(newValue: MGLStyleValue); message 'setIconIgnorePlacement:';
    function iconIgnorePlacement: MGLStyleValue; message 'iconIgnorePlacement';
    procedure setIconImageName(newValue: MGLStyleValue); message 'setIconImageName:';
    function iconImageName: MGLStyleValue; message 'iconImageName';
    procedure setIconImage(newValue: MGLStyleValue); message 'setIconImage:';
    function iconImage: MGLStyleValue; message 'iconImage';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setIconOffset(newValue: MGLStyleValue); message 'setIconOffset:';
    function iconOffset: MGLStyleValue; message 'iconOffset';
    {$else}
    procedure setIconOffset_(newValue: MGLStyleValue); message 'setIconOffset:';
    function iconOffset_: MGLStyleValue; message 'iconOffset';
    {$endif}
    procedure setIconOptional(newValue: MGLStyleValue); message 'setIconOptional:';
    function isIconOptional: MGLStyleValue; message 'isIconOptional';
    procedure setIconPadding(newValue: MGLStyleValue); message 'setIconPadding:';
    function iconPadding: MGLStyleValue; message 'iconPadding';
    procedure setIconPitchAlignment(newValue: MGLStyleValue); message 'setIconPitchAlignment:';
    function iconPitchAlignment: MGLStyleValue; message 'iconPitchAlignment';
    procedure setIconRotation(newValue: MGLStyleValue); message 'setIconRotation:';
    function iconRotation: MGLStyleValue; message 'iconRotation';
    procedure setIconRotate(newValue: MGLStyleValue); message 'setIconRotate:';
    function iconRotate: MGLStyleValue; message 'iconRotate';
    procedure setIconRotationAlignment(newValue: MGLStyleValue); message 'setIconRotationAlignment:';
    function iconRotationAlignment: MGLStyleValue; message 'iconRotationAlignment';
    procedure setIconScale(newValue: MGLStyleValue); message 'setIconScale:';
    function iconScale: MGLStyleValue; message 'iconScale';
    procedure setIconSize(newValue: MGLStyleValue); message 'setIconSize:';
    function iconSize: MGLStyleValue; message 'iconSize';
    procedure setIconTextFit(newValue: MGLStyleValue); message 'setIconTextFit:';
    function iconTextFit: MGLStyleValue; message 'iconTextFit';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setIconTextFitPadding(newValue: MGLStyleValue); message 'setIconTextFitPadding:';
    function iconTextFitPadding: MGLStyleValue; message 'iconTextFitPadding';
    {$else}
    procedure setIconTextFitPadding_(newValue: MGLStyleValue); message 'setIconTextFitPadding:';
    function iconTextFitPadding_: MGLStyleValue; message 'iconTextFitPadding';
    {$endif}
    procedure setKeepsIconUpright(newValue: MGLStyleValue); message 'setKeepsIconUpright:';
    function keepsIconUpright: MGLStyleValue; message 'keepsIconUpright';
    procedure setIconKeepUpright(newValue: MGLStyleValue); message 'setIconKeepUpright:';
    function iconKeepUpright: MGLStyleValue; message 'iconKeepUpright';
    procedure setKeepsTextUpright(newValue: MGLStyleValue); message 'setKeepsTextUpright:';
    function keepsTextUpright: MGLStyleValue; message 'keepsTextUpright';
    procedure setTextKeepUpright(newValue: MGLStyleValue); message 'setTextKeepUpright:';
    function textKeepUpright: MGLStyleValue; message 'textKeepUpright';
    procedure setMaximumTextAngle(newValue: MGLStyleValue); message 'setMaximumTextAngle:';
    function maximumTextAngle: MGLStyleValue; message 'maximumTextAngle';
    procedure setTextMaxAngle(newValue: MGLStyleValue); message 'setTextMaxAngle:';
    function textMaxAngle: MGLStyleValue; message 'textMaxAngle';
    procedure setMaximumTextWidth(newValue: MGLStyleValue); message 'setMaximumTextWidth:';
    function maximumTextWidth: MGLStyleValue; message 'maximumTextWidth';
    procedure setTextMaxWidth(newValue: MGLStyleValue); message 'setTextMaxWidth:';
    function textMaxWidth: MGLStyleValue; message 'textMaxWidth';
    procedure setSymbolAvoidsEdges(newValue: MGLStyleValue); message 'setSymbolAvoidsEdges:';
    function symbolAvoidsEdges: MGLStyleValue; message 'symbolAvoidsEdges';
    procedure setSymbolAvoidEdges(newValue: MGLStyleValue); message 'setSymbolAvoidEdges:';
    function symbolAvoidEdges: MGLStyleValue; message 'symbolAvoidEdges';
    procedure setSymbolPlacement(newValue: MGLStyleValue); message 'setSymbolPlacement:';
    function symbolPlacement: MGLStyleValue; message 'symbolPlacement';
    procedure setSymbolSpacing(newValue: MGLStyleValue); message 'setSymbolSpacing:';
    function symbolSpacing: MGLStyleValue; message 'symbolSpacing';
    procedure setText(newValue: MGLStyleValue); message 'setText:';
    function text: MGLStyleValue; message 'text';
    procedure setTextField(newValue: MGLStyleValue); message 'setTextField:';
    function textField: MGLStyleValue; message 'textField';
    procedure setTextAllowsOverlap(newValue: MGLStyleValue); message 'setTextAllowsOverlap:';
    function textAllowsOverlap: MGLStyleValue; message 'textAllowsOverlap';
    procedure setTextAllowOverlap(newValue: MGLStyleValue); message 'setTextAllowOverlap:';
    function textAllowOverlap: MGLStyleValue; message 'textAllowOverlap';
    procedure setTextAnchor(newValue: MGLStyleValue); message 'setTextAnchor:';
    function textAnchor: MGLStyleValue; message 'textAnchor';
    procedure setTextFontNames(newValue: MGLStyleValue); message 'setTextFontNames:';
    function textFontNames: MGLStyleValue; message 'textFontNames';
    procedure setTextFont(newValue: MGLStyleValue); message 'setTextFont:';
    function textFont: MGLStyleValue; message 'textFont';
    procedure setTextFontSize(newValue: MGLStyleValue); message 'setTextFontSize:';
    function textFontSize: MGLStyleValue; message 'textFontSize';
    procedure setTextSize(newValue: MGLStyleValue); message 'setTextSize:';
    function textSize: MGLStyleValue; message 'textSize';
    procedure setTextIgnoresPlacement(newValue: MGLStyleValue); message 'setTextIgnoresPlacement:';
    function textIgnoresPlacement: MGLStyleValue; message 'textIgnoresPlacement';
    procedure setTextIgnorePlacement(newValue: MGLStyleValue); message 'setTextIgnorePlacement:';
    function textIgnorePlacement: MGLStyleValue; message 'textIgnorePlacement';
    procedure setTextJustification(newValue: MGLStyleValue); message 'setTextJustification:';
    function textJustification: MGLStyleValue; message 'textJustification';
    procedure setTextJustify(newValue: MGLStyleValue); message 'setTextJustify:';
    function textJustify: MGLStyleValue; message 'textJustify';
    procedure setTextLetterSpacing(newValue: MGLStyleValue); message 'setTextLetterSpacing:';
    function textLetterSpacing: MGLStyleValue; message 'textLetterSpacing';
    procedure setTextLineHeight(newValue: MGLStyleValue); message 'setTextLineHeight:';
    function textLineHeight: MGLStyleValue; message 'textLineHeight';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setTextOffset(newValue: MGLStyleValue); message 'setTextOffset:';
    function textOffset: MGLStyleValue; message 'textOffset';
    {$else}
    procedure setTextOffset_(newValue: MGLStyleValue); message 'setTextOffset:';
    function textOffset_: MGLStyleValue; message 'textOffset';
    {$endif}
    procedure setTextOptional(newValue: MGLStyleValue); message 'setTextOptional:';
    function isTextOptional: MGLStyleValue; message 'isTextOptional';
    procedure setTextPadding(newValue: MGLStyleValue); message 'setTextPadding:';
    function textPadding: MGLStyleValue; message 'textPadding';
    procedure setTextPitchAlignment(newValue: MGLStyleValue); message 'setTextPitchAlignment:';
    function textPitchAlignment: MGLStyleValue; message 'textPitchAlignment';
    procedure setTextRotation(newValue: MGLStyleValue); message 'setTextRotation:';
    function textRotation: MGLStyleValue; message 'textRotation';
    procedure setTextRotate(newValue: MGLStyleValue); message 'setTextRotate:';
    function textRotate: MGLStyleValue; message 'textRotate';
    procedure setTextRotationAlignment(newValue: MGLStyleValue); message 'setTextRotationAlignment:';
    function textRotationAlignment: MGLStyleValue; message 'textRotationAlignment';
    procedure setTextTransform(newValue: MGLStyleValue); message 'setTextTransform:';
    function textTransform: MGLStyleValue; message 'textTransform';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setIconColor(newValue: UIColor *ProtocolPtr); message 'setIconColor:';
    function iconColor: UIColor *ProtocolPtr; message 'iconColor';
    {$else}
    procedure setIconColor_(newValue: MGLStyleValue); message 'setIconColor:';
    function iconColor_: MGLStyleValue; message 'iconColor';
    {$endif}
    procedure setIconColorTransition(newValue: MGLTransition); message 'setIconColorTransition:';
    function iconColorTransition: MGLTransition; message 'iconColorTransition';
    procedure setIconHaloBlur(newValue: MGLStyleValue); message 'setIconHaloBlur:';
    function iconHaloBlur: MGLStyleValue; message 'iconHaloBlur';
    procedure setIconHaloBlurTransition(newValue: MGLTransition); message 'setIconHaloBlurTransition:';
    function iconHaloBlurTransition: MGLTransition; message 'iconHaloBlurTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setIconHaloColor(newValue: UIColor *ProtocolPtr); message 'setIconHaloColor:';
    function iconHaloColor: UIColor *ProtocolPtr; message 'iconHaloColor';
    {$else}
    procedure setIconHaloColor_(newValue: MGLStyleValue); message 'setIconHaloColor:';
    function iconHaloColor_: MGLStyleValue; message 'iconHaloColor';
    {$endif}
    procedure setIconHaloColorTransition(newValue: MGLTransition); message 'setIconHaloColorTransition:';
    function iconHaloColorTransition: MGLTransition; message 'iconHaloColorTransition';
    procedure setIconHaloWidth(newValue: MGLStyleValue); message 'setIconHaloWidth:';
    function iconHaloWidth: MGLStyleValue; message 'iconHaloWidth';
    procedure setIconHaloWidthTransition(newValue: MGLTransition); message 'setIconHaloWidthTransition:';
    function iconHaloWidthTransition: MGLTransition; message 'iconHaloWidthTransition';
    procedure setIconOpacity(newValue: MGLStyleValue); message 'setIconOpacity:';
    function iconOpacity: MGLStyleValue; message 'iconOpacity';
    procedure setIconOpacityTransition(newValue: MGLTransition); message 'setIconOpacityTransition:';
    function iconOpacityTransition: MGLTransition; message 'iconOpacityTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setIconTranslation(newValue: MGLStyleValue); message 'setIconTranslation:';
    function iconTranslation: MGLStyleValue; message 'iconTranslation';
    {$else}
    procedure setIconTranslation_(newValue: MGLStyleValue); message 'setIconTranslation:';
    function iconTranslation_: MGLStyleValue; message 'iconTranslation';
    {$endif}
    procedure setIconTranslationTransition(newValue: MGLTransition); message 'setIconTranslationTransition:';
    function iconTranslationTransition: MGLTransition; message 'iconTranslationTransition';
    procedure setIconTranslate(newValue: MGLStyleValue); message 'setIconTranslate:';
    function iconTranslate: MGLStyleValue; message 'iconTranslate';
    procedure setIconTranslationAnchor(newValue: MGLStyleValue); message 'setIconTranslationAnchor:';
    function iconTranslationAnchor: MGLStyleValue; message 'iconTranslationAnchor';
    procedure setIconTranslateAnchor(newValue: MGLStyleValue); message 'setIconTranslateAnchor:';
    function iconTranslateAnchor: MGLStyleValue; message 'iconTranslateAnchor';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setTextColor(newValue: UIColor *ProtocolPtr); message 'setTextColor:';
    function textColor: UIColor *ProtocolPtr; message 'textColor';
    {$else}
    procedure setTextColor_(newValue: MGLStyleValue); message 'setTextColor:';
    function textColor_: MGLStyleValue; message 'textColor';
    {$endif}
    procedure setTextColorTransition(newValue: MGLTransition); message 'setTextColorTransition:';
    function textColorTransition: MGLTransition; message 'textColorTransition';
    procedure setTextHaloBlur(newValue: MGLStyleValue); message 'setTextHaloBlur:';
    function textHaloBlur: MGLStyleValue; message 'textHaloBlur';
    procedure setTextHaloBlurTransition(newValue: MGLTransition); message 'setTextHaloBlurTransition:';
    function textHaloBlurTransition: MGLTransition; message 'textHaloBlurTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setTextHaloColor(newValue: UIColor *ProtocolPtr); message 'setTextHaloColor:';
    function textHaloColor: UIColor *ProtocolPtr; message 'textHaloColor';
    {$else}
    procedure setTextHaloColor_(newValue: MGLStyleValue); message 'setTextHaloColor:';
    function textHaloColor_: MGLStyleValue; message 'textHaloColor';
    {$endif}
    procedure setTextHaloColorTransition(newValue: MGLTransition); message 'setTextHaloColorTransition:';
    function textHaloColorTransition: MGLTransition; message 'textHaloColorTransition';
    procedure setTextHaloWidth(newValue: MGLStyleValue); message 'setTextHaloWidth:';
    function textHaloWidth: MGLStyleValue; message 'textHaloWidth';
    procedure setTextHaloWidthTransition(newValue: MGLTransition); message 'setTextHaloWidthTransition:';
    function textHaloWidthTransition: MGLTransition; message 'textHaloWidthTransition';
    procedure setTextOpacity(newValue: MGLStyleValue); message 'setTextOpacity:';
    function textOpacity: MGLStyleValue; message 'textOpacity';
    procedure setTextOpacityTransition(newValue: MGLTransition); message 'setTextOpacityTransition:';
    function textOpacityTransition: MGLTransition; message 'textOpacityTransition';
    {$if defined(TARGET_OS_IPHONE)}
    procedure setTextTranslation(newValue: MGLStyleValue); message 'setTextTranslation:';
    function textTranslation: MGLStyleValue; message 'textTranslation';
    {$else}
    procedure setTextTranslation_(newValue: MGLStyleValue); message 'setTextTranslation:';
    function textTranslation_: MGLStyleValue; message 'textTranslation';
    {$endif}
    procedure setTextTranslationTransition(newValue: MGLTransition); message 'setTextTranslationTransition:';
    function textTranslationTransition: MGLTransition; message 'textTranslationTransition';
    procedure setTextTranslate(newValue: MGLStyleValue); message 'setTextTranslate:';
    function textTranslate: MGLStyleValue; message 'textTranslate';
    procedure setTextTranslationAnchor(newValue: MGLStyleValue); message 'setTextTranslationAnchor:';
    function textTranslationAnchor: MGLStyleValue; message 'textTranslationAnchor';
    procedure setTextTranslateAnchor(newValue: MGLStyleValue); message 'setTextTranslateAnchor:';
    function textTranslateAnchor: MGLStyleValue; message 'textTranslateAnchor';
  end;


type
  MGLSymbolStyleLayerAdditions = objccategory external (NSValue)
    class function valueWithMGLIconAnchor (iconAnchor: MGLIconAnchor): instancetype; message 'valueWithMGLIconAnchor:';
    function MGLIconAnchorValue: MGLIconAnchor; message 'MGLIconAnchorValue';
    class function valueWithMGLIconPitchAlignment (iconPitchAlignment: MGLIconPitchAlignment): instancetype; message 'valueWithMGLIconPitchAlignment:';
    function MGLIconPitchAlignmentValue: MGLIconPitchAlignment; message 'MGLIconPitchAlignmentValue';
    class function valueWithMGLIconRotationAlignment (iconRotationAlignment: MGLIconRotationAlignment): instancetype; message 'valueWithMGLIconRotationAlignment:';
    function MGLIconRotationAlignmentValue: MGLIconRotationAlignment; message 'MGLIconRotationAlignmentValue';
    class function valueWithMGLIconTextFit (iconTextFit: MGLIconTextFit): instancetype; message 'valueWithMGLIconTextFit:';
    function MGLIconTextFitValue: MGLIconTextFit; message 'MGLIconTextFitValue';
    class function valueWithMGLSymbolPlacement (symbolPlacement: MGLSymbolPlacement): instancetype; message 'valueWithMGLSymbolPlacement:';
    function MGLSymbolPlacementValue: MGLSymbolPlacement; message 'MGLSymbolPlacementValue';
    class function valueWithMGLTextAnchor (textAnchor: MGLTextAnchor): instancetype; message 'valueWithMGLTextAnchor:';
    function MGLTextAnchorValue: MGLTextAnchor; message 'MGLTextAnchorValue';
    class function valueWithMGLTextJustification (textJustification: MGLTextJustification): instancetype; message 'valueWithMGLTextJustification:';
    function MGLTextJustificationValue: MGLTextJustification; message 'MGLTextJustificationValue';
    class function valueWithMGLTextPitchAlignment (textPitchAlignment: MGLTextPitchAlignment): instancetype; message 'valueWithMGLTextPitchAlignment:';
    function MGLTextPitchAlignmentValue: MGLTextPitchAlignment; message 'MGLTextPitchAlignmentValue';
    class function valueWithMGLTextRotationAlignment (textRotationAlignment: MGLTextRotationAlignment): instancetype; message 'valueWithMGLTextRotationAlignment:';
    function MGLTextRotationAlignmentValue: MGLTextRotationAlignment; message 'MGLTextRotationAlignmentValue';
    class function valueWithMGLTextTransform (textTransform: MGLTextTransform): instancetype; message 'valueWithMGLTextTransform:';
    function MGLTextTransformValue: MGLTextTransform; message 'MGLTextTransformValue';
    class function valueWithMGLIconTranslationAnchor (iconTranslationAnchor: MGLIconTranslationAnchor): instancetype; message 'valueWithMGLIconTranslationAnchor:';
    function MGLIconTranslationAnchorValue: MGLIconTranslationAnchor; message 'MGLIconTranslationAnchorValue';
    class function valueWithMGLTextTranslationAnchor (textTranslationAnchor: MGLTextTranslationAnchor): instancetype; message 'valueWithMGLTextTranslationAnchor:';
    function MGLTextTranslationAnchorValue: MGLTextTranslationAnchor; message 'MGLTextTranslationAnchorValue';
  end;
{$endif}

