{ Parsed from Mapbox.framework MGLTypes.h }

{$ifndef NS_STRING_ENUM}
{$ifdef TYPES}
type
  NSErrorDomain = ^NSString;
  NSNotificationName = ^NSString;
{$endif}

{$endif}
{$ifdef EXTERNAL_SYMBOLS}
var
  MGLErrorDomain: NSErrorDomain; cvar; external;
{$endif}

{$ifdef TYPES}
type
  MGLErrorCode = NSInteger;
  MGLErrorCodePtr = ^MGLErrorCode;

const
  MGLErrorCodeUnknown = -1;
  MGLErrorCodeNotFound = 1;
  MGLErrorCodeBadServerResponse = 2;
  MGLErrorCodeConnectionFailed = 3;
  MGLErrorCodeParseStyleFailed = 4;
  MGLErrorCodeLoadStyleFailed = 5;
  MGLErrorCodeSnapshotFailed = 6;

type
  MGLMapDebugMaskOptions = NSUInteger;
  MGLMapDebugMaskOptionsPtr = ^MGLMapDebugMaskOptions;

const
  MGLMapDebugTileBoundariesMask = 1 shl 1;
  MGLMapDebugTileInfoMask = 1 shl 2;
  MGLMapDebugTimestampsMask = 1 shl 3;
  MGLMapDebugCollisionBoxesMask = 1 shl 4;
  MGLMapDebugOverdrawVisualizationMask = 1 shl 5;
  {$if  not defined(TARGET_OS_IPHONE)}
  MGLMapDebugStencilBufferMask = 1 shl 6;
  MGLMapDebugDepthBufferMask = 1 shl 7;
  {$endif}

type
  MGLTransition = record
    duration: NSTimeInterval;
    delay: NSTimeInterval;
  end;
type
  MGLTransitionPtr = ^MGLTransition;
{$endif}

